<?php
class Accionesfranquicia_model extends CI_Model { 
   public function __construct() {
      parent::__construct();
   }
   public function guardar($parametro){ //guarda los datos de una nueva franquicia en la bd
     $campos=array(
         
         'Modelo_IdModelo' => $parametro['Modelo_IdModelo'],
         'NombreFranquicia' => $parametro['NombreFranquicia'],
         'RFC' => $parametro['RFC'],
         'DomicilioFiscal' => $parametro['DomicilioFiscal'],
         'DomicilioFranquicia' => $parametro['DomicilioFranquicia'],
         'Estado' => $parametro['Estado'],
         'Municipio' => $parametro['Municipio'],
         'CP' => $parametro['CP'],
         'TelefonoFranquicia' => $parametro['TelefonoFranquicia'],
         'CorreoCorp' => $parametro['CorreoCorp'],
         'RegimenFiscal' => $parametro['RegimenFiscal'],
         'NombrePropietario' => $parametro['NombrePropietario'],
         'CelularPropietario' => $parametro['CelularPropietario'],
         'RazonSocial' => $parametro['RazonSocial'],
         'CorreoPersonal' => $parametro['CorreoPersonal'],
         'Zona_IdZona' => $parametro['Zona_IdZona']
      );
      $this->db->insert('franquicias',$campos);
      // $res=$this->db->affected_rows();
      //Verifica que la consulta se realizo 
    //   if($res==1){
    //      //Muestra una alerta cuando no se realizo
    //      echo "<script>alert('Datos guardados correctamente');</script>";
    //     redirect('franquicias/franquicias/administrador/franquiciaA','refresh');
    //   }else{
    //     //Verifica que la consulta se realizo 
    //     echo "<script>alert('Los datos no pudierón ser guardados correctamente, verifica la información ingresada o el módulo de Zonas o Modelos.');</script>";
    //     redirect('franquicias/franquicias/administrador/franquiciaA','refresh');
    // }
  
   }
   
  public function eliminar ($id){//elimina una franquicia por medio de la variable $id que es pasada por el controlador
      $this->db->where('IdFranquicias', $id);
      $this->db->delete('franquicias');
       $res=$this->db->affected_rows();
      //Verifica que la consulta se realizo 
      if($res==-1){
        //Muestra una alerta cuando no se realizo
        //  echo"<script>alert('Error, no se pudierón eliminar los datos debido a que se estan usuando en otras tablas');</script>";
        // redirect('franquicias/franquicias/administrador/franquiciaA','refresh');
        echo "<script>alert('Error, no se pudierón eliminar los datos debido a que se estan usuando en otras tablas');
                 window.location.href='".base_url()."franquicias/franquicias/administrador/franquiciaA';
                 </script>";
      }else{
        //Muestra una alerta cuando se realizo
        // echo"<script>alert('Los datos se han eliminado correctamente');</script>";
        // redirect('franquicias/franquicias/administrador/franquiciaA','refresh');
        echo "<script>alert('Los datos se han eliminado correctamente');
                 window.location.href='".base_url()."franquicias/franquicias/administrador/franquiciaA';
                 </script>";
      }

 }

   public function obtenerenlace ($id){//permite acceder al id de la franquicia que se desea editar por medio de la variable $id que es pasada por el controlador
      $this->db->where('IdFranquicias', $id);
      $query=$this->db->get('franquicias');
      if($query->num_rows()>0){
         return $query;

      }else{
         return FALSE;
      }

   }
   function editarenlace ($IdFranquicias, $data)//permite guardar en la bd la información que se modificó de la franquicia
   {
  
     $this->db->where('IdFranquicias', $IdFranquicias);
     $this->db->update('franquicias',$data);
         $res=$this->db->affected_rows();
       //Verifica que la consulta se realizo 
      if($res==1){
        //Muestra una alerta cuando se realizo
        // echo "<script>alert('Datos guardados correctamente');</script>";
        //  //redirect('franquicias/franquicias/administrador/franquiciaA','refresh');
        // redirect(base_url()."franquicias/franquicias/administrador/franquiciaA",'refresh');

         echo "<script>alert('Datos guardados correctamente');
                 window.location.href='".base_url()."franquicias/franquicias/administrador/franquiciaA';
                 </script>";

      }else if($res==-1){
        //Muestra una alerta cuando no se realizo
        // echo "<script>alert('Los datos no pudierón ser guardados correctamente es posible que ya exista esta franquicia');</script>";
        
        //  redirect(base_url()."franquicias/franquicias/administrador/franquiciaA/editar/$IdFranquicias",'refresh');

          echo "<script>alert('Los datos no pudierón ser guardados correctamente es posible que ya exista esta franquicia');
                 window.location.href='".base_url()."franquicias/franquicias/administrador/franquiciaA/editar/$IdFranquicias';
                 </script>";

      }else {
        // echo "<script>alert('No se hizo nungun cambio');</script>";
      
        //  redirect(base_url()."franquicias/franquicias/administrador/franquiciaA/editar/$IdFranquicias",'refresh');

          echo "<script>alert('No se hizo nungun cambio');
                 window.location.href='".base_url()."franquicias/franquicias/administrador/franquiciaA/editar/$IdFranquicias';
                 </script>";
       
      }
       
   }
 
  public function BuscarZona(){// Realiza una consulta a la bd para buscar las zonas que existen y poder mandar el resultado
     $query = $this->db-> query('SELECT IdZona,NombreZona FROM zona ORDER BY IdZona'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdZona, ENT_QUOTES)] = htmlspecialchars($row->NombreZona, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

      public function BuscarModelo(){// Realiza una consulta a la bd para buscar los modelos que existen y poder mandar el resultado
      $query = $this->db-> query('SELECT IdModelo,NombreModelo FROM modelo'); 
       if ($query->num_rows() > 0) { 
        foreach($query->result() as $row) 
         $arrDatos[htmlspecialchars($row->IdModelo, ENT_QUOTES)] = htmlspecialchars($row->NombreModelo, ENT_QUOTES); 
            $query->free_result(); 
            return $arrDatos; }
         }

      function buscar($query) { //Realiza una búsqueda en la bd por medio de la variable $query que es pasada por el controlador (nombre de la franquicia)
    $this->db->like('NombreFranquicia', $query);
    $query = $this->db->get('franquicias');
     //Verifica que la consulta se realizo 
    if ($query->num_rows() > 0){
      return $query;
    }else{
       //Muestra una alerta cuando no se realizo
       // echo "<script>alert('No se encontrarón los datos solicitados');</script>";
       // redirect('franquicias/franquicias/administrador/FranquiciaA','refresh');
       
       echo "<script>alert('No se encontrarón los datos solicitados');
                 window.location.href='".base_url()."franquicias/franquicias/administrador/FranquiciaA';
                 </script>";
    }
  }



}
